# Script to make figure showing Upper Goulaun (Upper Outflow) detections and 
# mature trout captured in Rough River (RR) Traps throughout a 12 month period
# Running from July to June (data from 2017-2018 in Upper Outflow and 2016-2019 in RR Trap)

install.packages('ggridges')
install.packages('ggplot2')
library(ggridges)
library(ggplot2)

setwd("C:/Users/rfinlay/Desktop/3 Nocturnal Spawning Paper/")


G2<-read.csv('Final Gaulaun 12 Month Fish Detections.csv')

G2$DateTime <- paste(G2$Date,G2$Time)

G2$DateTime <- as.POSIXct(G2$DateTime)



#Showing the data (with REAL fish counts)
 par(mfrow=c(2,1))
 
 bins<-c(180) 

hist(G2$JulyisOne, breaks=bins, xaxt="n",
     main="Mature Trout PIT Detections - Upper Goulaun 2017-18", 
     xlab="",ylab="Detections",yaxs="i",xaxs="i")


axis(1, at=seq(0, 360, by=30.4), labels=c( "July", "Aug", 
                                          "Sept", "Oct", "Nov", "Dec", "Jan", "Feb", 
                                        "March", "April", "May","June")) 




Trap<-read.csv('TrapSpawningTimingData.csv')
str(Trap)

bins2<-c(50)
hist(Trap$JulyisOne, breaks=bins2, xlim = c(0,365), xaxt="n",
     main="Mature Trout in the RR Trap 2016-19", xlab="",ylab="Captured Trout",yaxs="i",xaxs="i")


axis(1, at=seq(0, 360, by=30.4), labels=c( "July", "Aug", 
                                           "Sept", "Oct", "Nov", "Dec", "Jan", "Feb", 
                                           "March", "April", "May","June")) 


#### Now to use DENSITY instead of real counts
dev.off()
par(mfrow=c(2,1))

bins<-c(180) 

hist(G2$JulyisOne,prob=T, breaks=bins, xaxt="n",
     main="Mature Trout PIT Detections-Upper Gaulaun 2017-18", 
     xlab="",ylab="Detections",yaxs="i",xaxs="i")

lines(density(G2$JulyisOne, adjust=2), col="red", lwd=2)
axis(1, at=seq(0, 360, by=30.4), labels=c( "July", "Aug", 
                                           "Sept", "Oct", "Nov", "Dec", "Jan", "Feb", 
                                           "March", "April", "May","June")) 




bins2<-c(50)
hist(Trap$JulyisOne, breaks=bins2, prob=T, xlim = c(0,365), xaxt="n",
     main="Gravid Trout in the RR Trap 2016-19", xlab="",ylab="Captured Trout",yaxs="i",xaxs="i")
lines(density(Trap$JulyisOne), col="red", lwd=2)

axis(1, at=seq(0, 360, by=30.4), labels=c( "July", "Aug", 
                                           "Sept", "Oct", "Nov", "Dec", "Jan", "Feb", 
                                           "March", "April", "May","June")) 

