#Isolation By Distance Script 

setwd("C:/Users/rfinlay/Desktop/1 Bunaveela Asymmetry  Chapter/IBD")

getwd()
install.packages('ape')
library(ape)


############ ISOLATION BY DISTANCE ####################
??mantel.test


FST0<-(as.matrix(read.csv('NewFSTNoName.csv', header = FALSE)))
is.matrix(FST0)
View(FST0)
GeoDist0<-as.matrix(read.csv('NewGeoDistNoName.csv', header=FALSE))
View(GeoDist0)




MantAll<-mantel.test(FST0, GeoDist0, nperm = 999, graph = TRUE, main = "Mantel test:",
                     xlab = "z-statistic", ylab = "Density",
                     sub = "The vertical line shows the observed z-statistic") 

### The graph above suggests that we can reject the null hypothesis 
# that Isolation by Distance is not leading to genetic differenciation

MantAll      ##### p = 0.005  z = 525.45



# Now 1Plot the IBD pattern (all GGs) 

Pairs<-(read.csv('IBD.and.FST.Genetic.Distance.Method.Slatkins.csv', header=TRUE))
View(Pairs)
FG<-lm(FST ~ GD, data=Pairs)
FG
summary(FG)
plot( FST~ GD, data=Pairs, xlab='Geographic Distance (m)', ylab='Genetic Distance [Fst/(1-Fst)]', pch=19)
abline(FG)

legend("topleft", bty="n", legend=("R2 is 8297"))


plot(FG)


# now using a subset in which the GG1 has been excluded to check
# for IBD in Upper Catchment Only!

GGG10<-read.csv('GG10.csv', header=F)
FSTT10<-read.csv('FST10.csv', header=F)
str(GGG10)
str(FSTT10)

View(GGG10)
View(FSTT10)

Mant10<-mantel.test(FSTT10, GGG10, nperm = 999, graph = TRUE, main = "Mantel test:",
                    xlab = "z-statistic", ylab = "Density",
                    sub = "The vertical line shows the observed z-statistic") 

Mant10    #   p= 0.025-0.047 depending on run.
# IBD pattern is significant with GG1 excluded.


#  now to plot (Upper Catchment only ) 

NoGowlPairs<-subset(Pairs[1:10,])
View(NoGowlPairs)
FG2<-lm(FST ~ GD, data=NoGowlPairs)
FG2
summary(FG2)
plot( FST~ GD, data=NoGowlPairs, main='Isolation by Distance', xlab='Geographic Distance (m)', ylab='Genetic Distance [Fst/(1-Fst)]')
abline(FG)

