setwd('C:/Users/rfinlay/Desktop/Files for DOI Upload Asymmetry/Behaviour and Growth')


GrowthData<-read.csv('LakeGrowth.csv',
                        na.strings = c("#VALUE!", 'Empty', 'empty','#N/A', 'e', 'NA' ))

View(GrowthData)
str(GrowthData)



# Testing all GDD base temperatures in LMs to assess most parsimonious (i.e. highest R2)

GDD0<-lm(DDGrowth~log(TagLength), data=GrowthData)
summary(GDD0)

GDD1<-lm(DD1Growth~log(TagLength), data=GrowthData)
summary(GDD1)

GDD3<-lm(DD3Growth~log(TagLength), data=GrowthData)
summary(GDD3)


################BEST MODEL   R2=0.6997 (highest R2) so GDD base temperature of 5C is chosen
GDD5<-lm(DD5Growth~log(TagLength), data=GrowthData)
summary(GDD5)
#################


GDD7<-lm(DD7Growth~log(TagLength), data=GrowthData)
summary(GDD7)

GDD9<-lm(DD9Growth~log(TagLength), data=GrowthData)
summary(GDD9)

GDD11<-lm(DD11Growth~log(TagLength), data=GrowthData)
summary(GDD11)

GDD13<-lm(DD13Growth~log(TagLength), data=GrowthData)
summary(GDD13)




plot(DD5Growth~log(TagLength), data=GrowthData)
abline(lm(GrowthData$DD5Growth~log(GrowthData$TagLength)))
plot(DD5)# all looks ok
coef(DD5) #  Growth Equation = FL2 = FL1 + (-0.0303 * ln(FL1) + 0.1701) * DD5   



RecapEst<-read.csv('RecapLengthVsEstdLength.csv') # file includes measured lengths of recaptures and 
# predicted lengths based on GDD models
View(RecapEst)

LM<-lm(RecapEst$EstDD5Recap~RecapEst$RecapLength) # LM of estimated length of recaptured fish from GDD5 model output
                                                  # VS actual length of recaptured fish 
summary(LM) # (R2 = 0.959 for ALL recaptured fish)
plot(LM)


plot(RecapEst$EstDD5Recap~RecapEst$RecapLength,
     xlab =  "Recapture Length mm",
     ylab = "Estimated Recapture Length mm")



abline(LM)

